Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\API\Repository\FieldTypeService Interface Reference

An implementation of this class provides access to FieldTypes. More...

Inheritance diagram for eZ\Publish\API\Repository\FieldTypeService:

## Public Member Functions
| getFieldTypes ()
| Returns a list of all field types. More...
| getFieldType ($identifier)
| Returns the FieldType registered with the given identifier. More...
| hasFieldType ($identifier)
| Returns if there is a FieldType registered under $identifier. More...

## Detailed Description

An implementation of this class provides access to FieldTypes.

See also
  eZ\Publish\API\Repository\FieldType

Definition at line 14 of file API/Repository/FieldTypeService.php.

## Member Function Documentation

## ◆ getFieldType()

eZ\Publish\API\Repository\FieldTypeService::getFieldType | ( |  | $identifier | ) |

Returns the FieldType registered with the given identifier.

Parameters

  string | $identifier |

Returns
  \eZ\Publish\API\Repository\FieldType

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\FieldTypeService, eZ\Publish\Core\REST\Client\FieldTypeService, and eZ\Publish\Core\Repository\FieldTypeService.

## ◆ getFieldTypes()

eZ\Publish\API\Repository\FieldTypeService::getFieldTypes | ( |  | ) |

Returns a list of all field types.

Returns
  \eZ\Publish\API\Repository\FieldType[]

Implemented in eZ\Publish\Core\SignalSlot\FieldTypeService, eZ\Publish\Core\REST\Client\FieldTypeService, and eZ\Publish\Core\Repository\FieldTypeService.

## ◆ hasFieldType()

eZ\Publish\API\Repository\FieldTypeService::hasFieldType | ( |  | $identifier | ) |

Returns if there is a FieldType registered under $identifier.

Parameters

  string | $identifier |

Returns
  bool

Implemented in eZ\Publish\Core\SignalSlot\FieldTypeService, eZ\Publish\Core\REST\Client\FieldTypeService, and eZ\Publish\Core\Repository\FieldTypeService.

The documentation for this interface was generated from the following file:

- API/Repository/FieldTypeService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.